Module | Erubis::NoTextEnhancer
In: | erubis/enhancer.rb

remove text and leave code, especially useful when debugging.

ex.

      $ erubis -s -E NoText file.eruby | more

this is language independent.

### Methods

add_text

### Public Instance methods

add_text(src, text)

[Source]

    # File erubis/enhancer.rb, line 282
        def add_text(src, text)
          src << ("\n" * text.count("\n"))
          if text[-1] != ?\n
            text =~ /^(.*?)\z/
            src << (' ' * $1.length)
          end
        end

[Validate]